Lists all collection events, ordered by the time they were created at
GET
Bearerheader
Authorization<token>JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
skip?integerFormat
int32Default
0take?integerFormat
int32Default
200eventId?integerFormat
int64collectionId?stringfromTimestamp?stringFormat
date-timetoTimestamp?stringFormat
date-timefromEventId?integerFormat
int64toEventId?integerFormat
int64state?stringValue in
"NEW""QUEUED""SUBMITTED""ACCEPTED""COMPLETED""VALIDATION_FAILURE""TRANSACTION_FAILURE""DISPUTED""UNPAID""UNPAID_WITH_RECOURSE""INTERNAL_FAILURE""CUTOFF"sortAcsending?booleanDefault
falseX-Forwarded-For?stringOK
application/json- response
events?array<>|nullcurl -X GET 'https://www.api.revio.co.za/v2/event/collection'Example Response200
{ "events": [ { "id": 0, "createdAt": "2019-08-24T14:15:22Z", "collectionProfileCode": "string", "collectionId": "string", "collectionState": "NEW", "creditorAbbreviatedName": "string" } ]}